Package org.apache.calcite.avatica

# Class ColumnMetaData.ScalarType

java.lang.Object
org.apache.calcite.avatica.ColumnMetaData.AvaticaType
org.apache.calcite.avatica.ColumnMetaData.ScalarType

Enclosing class:
  ColumnMetaData

public static class ColumnMetaData.ScalarType extends ColumnMetaData.AvaticaType
Scalar type.

## Field Summary

### Fields inherited from class org.apache.calcite.avatica.ColumnMetaData.AvaticaType

`id, name, rep`

## Constructor Summary

Constructors
Constructor
Description
`ScalarType(int id, String name, ColumnMetaData.Rep rep)`

## Method Summary

Modifier and Type
Method
Description
`ColumnMetaData.AvaticaType`
`setRep(ColumnMetaData.Rep rep)`

### Methods inherited from class org.apache.calcite.avatica.ColumnMetaData.AvaticaType

`columnClassName, equals, fromProto, getName, hashCode, toProto`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScalarType

public ScalarType(int id, String name, ColumnMetaData.Rep rep)

## Method Details

### setRep

public ColumnMetaData.AvaticaType setRep(ColumnMetaData.Rep rep)

Overrides:
  `setRep` in class `ColumnMetaData.AvaticaType`